<template>
  <header class="box-border">
    <div
      class="page-header"
      :class="{ 'fixed top-0 left-0 z-10': fixedPosition }"
    >
      <nuxt-link :to="backTo" class="flex items-center justify-center">
        <font-awesome-ic-on
          :icon="['fas', 'angle-left']"
          class="mr-1"
          color="var(--text)"
        />
      </nuxt-link>
      <h2 class="page-header__title">{{ title }}</h2>
      <slot name="right">
        <div></div>
      </slot>
    </div>
    <div
      v-if="fixedPosition"
      class="w-full h-[14.44vw] py-[0.875rem] px-4 bg-transparent"
    ></div>
  </header>
</template>

<script setup lang="ts">

defineComponent({
  name: "MPageHeader",
});
defineProps({
  fixedPosition: {
    type: Boolean,
    required: false,
    default: false,
  },
  backTo: {
    type: String,
    required: true,
  },
  title: {
    type: String,
    required: true,
  },
});
</script>

<style scoped lang="scss">
.page-header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 14.44vw;
  background: var(--background3, white);
  color: var(--text);
  padding: 0.875rem 1rem;

  &__title {
    font-size: 4.44vw;
    line-height: 5.2vw;
    user-select: none;
  }
  .el-link {
    @apply w-[20px] h-[20px];

    :has(svg) {
      @apply w-full h-full;

      svg {
        @apply w-full h-full;
      }
    }
  }
}
</style>
